当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求助:升级时断网后出错了,怎么解决。(已解决,谢)
帖子发表于 : 2010-02-06 8:14 

注册: 2007-09-01 19:22
帖子: 66
送出感谢: 0 次
接收感谢: 0 次
在昨天升级的过程中,突然断网。再升级后,出现下需的问题。怎么解决。
系统是8.04的

1、______________________
nrywlm@nrywlm-desktop:~$ sudo apt-get update
[sudo] password for nrywlm:

下载 4640B,耗时 7s (593B/s)
正在读取软件包列表... 完成
nrywlm@nrywlm-desktop:~$ sudo apt-get dist-upgrade
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
正在筹划升级... 失败
下列的软件包有不能满足的依赖关系:
gconf2-common: 依赖: ucf 但是它将不会被安装
libfontconfig1: 依赖: fontconfig-config (= 2.5.0-2ubuntu3) 但是它将不会被安装
libgconf2-4: 依赖: libldap-2.4-2 (>= 2.4.7) 但是它将不会被安装
libpam-modules: 依赖: libpam0g (>= 0.99.7.1) 但是它将不会被安装
python2.5: 依赖: libssl0.9.8 (>= 0.9.8f-1) 但是它将不会被安装
thunderbird-locale-zh-cn: 依赖: thunderbird 但是它将不会被安装 或
language-support-zh 但是它将不会被安装
thunderbird-locale-zh-tw: 依赖: thunderbird 但是它将不会被安装 或
language-support-zh 但是它将不会被安装
E: 错误,pkgProblemResolver::Resolve 发生故障,这可能是有软件包被要求保持现状的缘故。

2、_________________________________源地址
#浙江双线
deb http://mirror.lupaworld.com/ubuntu hardy main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu hardy-security main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu hardy-updates main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu hardy-backports main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu hardy-proposed main restricted universe multiverse
deb-src http://mirror.lupaworld.com/ubuntu hardy main restricted universe multiverse
deb-src http://mirror.lupaworld.com/ubuntu hardy-security main restricted universe multiverse
deb-src http://mirror.lupaworld.com/ubuntu hardy-updates main restricted universe multiverse
deb-src http://mirror.lupaworld.com/ubuntu hardy-backports main restricted universe multiverse
deb-src http://mirror.lupaworld.com/ubuntu hardy-proposed main restricted universe multiverse

#ppa源
deb http://ppa.launchpad.net/ubuntu-mozilla ... ppa/ubuntu karmic main
deb http://ppa.launchpad.net/compiz/ubuntu hardy main #Compiz Fusion
deb http://ppa.launchpad.net/c-korn/ubuntu hardy main
deb http://download.virtualbox.org/virtualbox/debian hardy non-free #VirtualBox
deb-src http://ppa.launchpad.net/ubuntu-mozilla ... ppa/ubuntu karmic main
deb-src http://ppa.launchpad.net/c-korn/ubuntu hardy main


最后由 nrywlm 编辑于 2010-02-06 23:24,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 : Re: 求助:升级时断网后出错了,怎么解决。
帖子发表于 : 2010-02-06 14:52 

注册: 2007-08-01 12:35
帖子: 75
送出感谢: 0 次
接收感谢: 0 次
执行以下代码试试看:
代码:
sudo apt-get -f install


执行完毕后,再执行:

代码:
sudo dpkg --configure -a


看看能不能解决问题。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 求助:升级时断网后出错了,怎么解决。
帖子发表于 : 2010-02-06 14:53 

注册: 2007-08-01 12:35
帖子: 75
送出感谢: 0 次
接收感谢: 0 次
执行以下代码试试看:
代码:
sudo apt-get -f install


执行完毕后,再执行:

代码:
sudo dpkg --configure -a


看看能不能解决问题。


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 求助:升级时断网后出错了,怎么解决。
帖子发表于 : 2010-02-06 20:29 

注册: 2007-09-01 19:22
帖子: 66
送出感谢: 0 次
接收感谢: 0 次
首先谢了(依次执行,下载了些文件)但
其次,问题依旧。(找了些资料,没有头绪,第一次,遇到。)


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 求助:升级时断网后出错了,怎么解决。
帖子发表于 : 2010-02-06 20:31 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
先换源,再执行命令试试。804还可以重启进恢复模式dpkg修复包。 :em09


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 求助:升级时断网后出错了,怎么解决。
帖子发表于 : 2010-02-06 20:43 
头像

注册: 2007-12-20 15:08
帖子: 231
地址: harbin
送出感谢: 0 次
接收感谢: 0 次
可能是你源的版本不对,你看看你的ubuntu版本吧,再选择相应的源,
你用的是8.04的源个版本对应如下
代码:
Lucid Lynx/10.04 LTS版     Ubuntu, Kubuntu     2010年04月29日     支持到2013年04月(Desktop)支持到2015年04月(Server)
 Karmic Koala/9.10 版    Ubuntu, Kubuntu    2009年10月29日    支持到2011年04月
Jaunty Jackalope/9.04版    Ubuntu,Kubuntu, Xubuntu    2009年04月23日    支持到2010年10月
Intrepid Ibex/8.10版    Ubuntu,Kubuntu    2008年10月30日    支持到2010年04月
Hardy Heron/8.04 LTS版


_________________
Keep trying...never say never. blog: H。U。C
代码:
        .--.
       |o_o |
       |:_/ |           < Hello Girl >
      //   \ \             ------------
     (|     | )
    /'\_   _/`\
    \___)=(___/


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 求助:升级时断网后出错了,怎么解决。
帖子发表于 : 2010-02-06 23:24 

注册: 2007-09-01 19:22
帖子: 66
送出感谢: 0 次
接收感谢: 0 次
找了一圈的原因,原来是第三方软件源出了问题了
删除 /etc/apt/sources.list.d 里面的文件。

Ubuntu tweak 一个一个,加软件源,找到了冲突的。

是xbmc

关了,才好。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译